Anchor (install4j API)
Description: declaration: package: com.install4j.api.beans, enum: Anchor

# Enum Class Anchor

java.lang.Object
java.lang.Enum<Anchor>
com.install4j.api.beans.Anchor

All Implemented Interfaces:
  `Serializable, Comparable<Anchor>, Constable`

public enum Anchor extends Enum<Anchor>
Property type for an anchor.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CENTER`
  `EAST`
  `NORTH`
  `NORTHEAST`
  `NORTHWEST`
  `SOUTH`
  `SOUTHEAST`
  `SOUTHWEST`
  `WEST`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Anchor`
  `getByValue(int value)`
  Get the anchor constant that corresponds to the specified value
  `int`
  `getValue()`
  The value of the anchor which can be used by `java.awt.GridBagLayout`.
  `boolean`
  `isCorner()`
  If the anchor is a corner.
  `String`
  `toString()`
  `static Anchor`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Anchor[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NORTHWEST

    public static final Anchor NORTHWEST

  - ### NORTH

    public static final Anchor NORTH

  - ### NORTHEAST

    public static final Anchor NORTHEAST

  - ### WEST

    public static final Anchor WEST

  - ### CENTER

    public static final Anchor CENTER

  - ### EAST

    public static final Anchor EAST

  - ### SOUTHWEST

    public static final Anchor SOUTHWEST

  - ### SOUTH

    public static final Anchor SOUTH

  - ### SOUTHEAST

    public static final Anchor SOUTHEAST

- ## Method Details

  - ### values

    public static Anchor[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Anchor valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getByValue

    public static Anchor getByValue(int value)
    Get the anchor constant that corresponds to the specified value
    Parameters:
      `value` - the value, as returned by `getValue()`
    Returns:
      the anchor or `null` if the value cannot be found
    See Also:
      - `getValue()`

  - ### isCorner

    public boolean isCorner()
    If the anchor is a corner.
    Returns:
      the value

  - ### getValue

    public int getValue()
    The value of the anchor which can be used by `java.awt.GridBagLayout`.
    Returns:
      the value, one of the anchor constants in `java.awt.GridBagConstraints`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<Anchor>`